restinio::utils::metaprogramming::impl::transform< Transform_F, From< Sources... >, To< Results... > > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types

using | type = typename transform< Transform_F, tail_of_t< Sources... >, To< Results..., typename Transform_F< head_of_t< Sources... > >::type > >::type

## Detailed Description

template<template< class... > class Transform_F, template< class... > class From, typename... Sources, template< class... > class To, typename... Results>
struct restinio::utils::metaprogramming::impl::transform< Transform_F, From< Sources... >, To< Results... > >

Definition at line 224 of file metaprogramming.hpp.

## Member Typedef Documentation

## type

template<template< class... > class Transform_F, template< class... > class From, typename... Sources, template< class... > class To, typename... Results>

using restinio::utils::metaprogramming::impl::transform< Transform_F, From< Sources... >, To< Results... > >::type = typename transform< Transform_F, tail_of_t<Sources...>, To<Results..., typename Transform_F< head_of_t<Sources...> >::type> >::type

Definition at line 226 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp